> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Prop Trading Get Funding Status

> Returns per-currency funding position (owed vs recorded deposits) for the caller's prop firm.

Required scope: `payments:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/prop-trading-get-funding-status
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/prop-trading-get-funding-status:
    get:
      operationId: propTradingGetFundingStatus
      summary: Prop Trading Get Funding Status
      x-toku-required-scope: payments:read
      description: >-
        Returns per-currency funding position (owed vs recorded deposits) for
        the caller's prop firm.


        Required scope: `payments:read`
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PropTradingGetFundingStatusResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    PropTradingGetFundingStatusResponse:
      type: object
      properties:
        byCurrency:
          type: array
          items:
            type: object
            properties:
              currencyCode:
                type: string
              required:
                type: string
                pattern: ^-?\d+(\.\d+)?(e[+-]?\d+)?$
              recorded:
                type: string
                pattern: ^-?\d+(\.\d+)?(e[+-]?\d+)?$
              committed:
                type: string
                pattern: ^-?\d+(\.\d+)?(e[+-]?\d+)?$
              paid:
                type: string
                pattern: ^-?\d+(\.\d+)?(e[+-]?\d+)?$
              available:
                type: string
                pattern: ^-?\d+(\.\d+)?(e[+-]?\d+)?$
              shortfall:
                type: string
                pattern: ^-?\d+(\.\d+)?(e[+-]?\d+)?$
              pendingPayoutCount:
                type: integer
            required:
              - currencyCode
              - required
              - recorded
              - committed
              - paid
              - available
              - shortfall
              - pendingPayoutCount
      required:
        - byCurrency
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
